Exchange rates
GET
/v1/fxDaily reference rates for 44 currencies from 1999, quoted per euro.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| fromoptional | period query | First period to return e.g. 2025-01 |
| tooptional | period query | Last period to return e.g. 2026-08 |
Request
# Daily reference exchange rates since 1999
curl "https://api.tourismapi.com/v1/fx" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/fx", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/fx",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/fx");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_d840bfdf74",
"data_as_of": "2026-10-20T04:48:19Z",
"count": 145,
"base": "EUR",
"quoted": "units of the currency per 1 EUR"
},
"data": [
{
"quote": "AUD",
"base": "EUR",
"date": "2026-10-13",
"rate": 1.6033
},
{
"quote": "BRL",
"base": "EUR",
"date": "2026-10-13",
"rate": 5.6125
},
{
"quote": "CAD",
"base": "EUR",
"date": "2026-10-13",
"rate": 1.5933
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| quote | string | AUD |
| base | string | EUR |
| date | string | 2026-10-13 |
| rate | number | 1.6033 |